{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Network Service Catalog<br><small class="text-muted">(TMF633 ServiceCatalog)</small></h2>
    <div id="loading-instantiate">Please wait <img src="../static/loadingimage.gif"></div>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Version</th>
                <th>Category</th>
                <th>Id</th>
                <th>Order <br> Service <br> Instance</th>
            </tr>
            </thead>
            <tbody>
            {% for service in services %}
            <tr>
            <td>
                  <class="service" type="text" id="{{loop.index}}" name="{{loop.index}}"
                  value="{{loop.index}}">{{loop.index}}
              </td>
              <td>
                  <class="service" type="text" id="service_name_{{loop.index}}" name="service_name_{{loop.index}}"
                  value="{{service['name']}}">{{service['name']}}
              </td>
              <td>
                  <class="service" type="text" id="service_version_{{loop.index}}" name="service_version_{{loop.index}}"
                  value="{{service['version']}}">{{service['version']}}
              </td>
              <td>
                  <class="service" type="text" id="service_category_{{loop.index}}" name="service_category_{{loop.index}}"
                  value="{{service['category']}}">{{service['category']}}
              </td>
              <td>
                  <class="service" type="text" id="service_id_{{loop.index}}" name="service_id_{{loop.index}}"
                  value="{{service['id']}}">{{service['id']}}
              </td>
              <td>
                <a href="../services_nbi_order_form?service_id={{service['id']}}&name={{service['name']}}" class="btn btn-primary btn-sm">Order</a>
              </td>
              <td>
                <a href="../services_instantiate_form?service_id={{service['id']}}&name={{service['name']}}" role="button" onclick="loading_instantiate();" class="btn btn-primary btn-sm">Full Instantiate</a>
              </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
